<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\Anmeldung\TnUebersichtDialog\TeilnehmerSuche;

class TnUebersichtDialogSucheController extends \Kufer\Web\KuferTools\Basis\Anmeldung\TnUebersichtDialog\TnUebersichtDialogSucheController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TnUebersichtDialogSucheUseCase($this->getRequestObj());
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TnUebersichtDialogSuchePresenter($pUseCaseResponse);
  }
}